# $Revision: 1.5 $, $Date: 2002/07/15 21:06:34 $
Summary:	SDL graphics drawing primitives and other support functions
Summary(pl):	Funkcje rysowania grafiki i inne dla SDL
Name:		SDL_gfx
Version:	2.0.3
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.ferzkopp.net/Software/%{name}-2.0/%{name}-%{version}.tar.gz
URL:		http://www.ferzkopp.net/Software/%{name}-2.0/index.html
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_includedir	/usr/X11R6/include/SDL

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code.

The current components of the SDL_gfx library are:
- Graphic Primitives (SDL_gfxPrimitves.h)
- Rotozoomer (SDL_rotozoom.h)
- Framerate control (SDL_framerate.h)
- MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It's
is written in plain C and can be used in C++ code.

%description -l pl
Biblioteka SDL_gfx wyewoluowaa z kodu SDL_gfxPrimitives.

Aktualnie SDL_gfx zawiera nastpujce komponenty:
- prymitywy graficzne (SDL_gfxPrimitives.h)
- Rotozoomer (SDL_rotozoom.h)
- kontrola szybkoci rysowania obrazu (SDL_framerate.h)
- filtry obrazw uywajce MMX (SDL_imageFilter.h).

Biblioteka jest wstecznie kompatybilna z wyej wspomnianym kodem. Jest
napisana w czystym C, moe te by uywana w kodzie C++.

%package devel
Summary:	Header files and more to develop SDL_gfx applications
Summary(pl):	Pliki nagwkowe do rozwijania aplikacji uywajcych SDL_gfx
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	SDL-devel

%description devel
Header files and more to develop SDL_gfx applications.

%description devel -l pl
Pliki nagwkowe do rozwijania aplikacji uywajcych SDL_gfx.

%package static
Summary:	Static SDL_gfx libraries
Summary(pl):	Statyczne biblioteki SDL_gfx
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Statis SDL_gfx libraries.

%description static -l pl
Statyczne biblioteki SDL_gfx.

%prep
%setup -q

%build
rm -f missing acinclude.m4
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}

%ifarch %{ix86}
%configure
%else
%configure --disable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README AUTHORS ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz Docs
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: SDL_gfx.spec,v $
Revision 1.5  2002/07/15 21:06:34  ankry
- don't use mmx on non-x86
- release 2, STBR

Revision 1.4  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.3  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/04/28 21:55:52  qboosh
- pl description

Revision 1.1  2002/04/28 17:24:50  jajcus
- new spec
